<?php
namespace Mirasvit\Report\Ui\Report\Block\ReportBlock;

/**
 * Interceptor class for @see \Mirasvit\Report\Ui\Report\Block\ReportBlock
 */
class Interceptor extends \Mirasvit\Report\Ui\Report\Block\ReportBlock implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
